Update contact
curl --request PATCH \
--url https://api.telli.com/v2/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "<string>",
"externalUrl": "<string>",
"salutation": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"timezoneIana": "<string>",
"email": "<string>",
"properties": [
{
"key": "<string>",
"value": "<unknown>"
}
]
}
'import requests
url = "https://api.telli.com/v2/contacts/{id}"
payload = {
"externalId": "<string>",
"externalUrl": "<string>",
"salutation": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"timezoneIana": "<string>",
"email": "<string>",
"properties": [
{
"key": "<string>",
"value": "<unknown>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: '<string>',
externalUrl: '<string>',
salutation: '<string>',
firstName: '<string>',
lastName: '<string>',
phoneNumber: '<string>',
timezoneIana: '<string>',
email: '<string>',
properties: [{key: '<string>', value: '<unknown>'}]
})
};
fetch('https://api.telli.com/v2/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<unknown>",
"externalId": "<string>",
"externalUrl": "<string>",
"salutation": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"timezoneIana": "<string>",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"properties": [
{
"key": "<string>",
"value": "<unknown>",
"label": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
]
}
]
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key is missing or invalid",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Contact not found",
"data": {
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "External ID already exists for this account",
"data": {
"externalId": "<string>"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Validation failed",
"data": {
"issues": [
{
"code": "<string>",
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}Contact Endpoints
Update Contact
Updates an existing contact. Properties are merged with existing ones after validation.
PATCH
/
v2
/
contacts
/
{id}
Update contact
Authorizations
API key authentication. Use your telli API key as the bearer token.
Path Parameters
Body
application/json
Minimum string length:
1Required string length:
1 - 50Required string length:
1 - 50Required string length:
1 - 20Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I